Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1831310 - The documentation comments for the Base Class Library are missing
Summary: The documentation comments for the Base Class Library are missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dotnet3.1
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Omair Majid
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-04 21:07 UTC by thegruffalo
Modified: 2020-06-18 13:27 UTC (History)
2 users (show)

Fixed In Version: dotnet3.1-3.1.104-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-18 13:27:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
VSCode on Fedora32 with dotnet-sdk-3.1 from Fedora showing no documentation comments/metadata beside VSCode on Fedora 31 with dotnet-sdk-3.1 from Microsoft with documentation comments/metadata (deleted)
2020-05-04 21:07 UTC, thegruffalo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github dotnet source-build issues 1578 0 None closed 3.1 is missing xml docs for Microsoft.NETCore.App 2020-07-23 00:49:30 UTC

Description thegruffalo 2020-05-04 21:07:57 UTC
Created attachment 1684977 [details]
VSCode on Fedora32 with dotnet-sdk-3.1 from Fedora showing no documentation comments/metadata beside VSCode on Fedora 31 with dotnet-sdk-3.1 from Microsoft with documentation comments/metadata

Description of problem:
I have found that the package 'dotnet-sdk-3.1' on Fedora 32 does not contain documentation comments for the framework library whereas the same named package from Microsoft's package source (used on Fedora 31) does.

Version-Release number of selected component (if applicable):
3.1.103-1.fc32

How reproducible:
always

Steps to Reproduce:
1. Install the package 'dotnet-sdk-3.1' from the Fedora 32 package source
2. Install Visual Studio Code (https://code.visualstudio.com/docs/setup/linux#_rhel-fedora-and-centos-based-distributions)
   2.1 sudo rpm --import https://packages.microsoft.com/keys/microsoft.asc
   2.2 sudo sh -c 'echo -e "[code]\nname=Visual Studio Code\nbaseurl=https://packages.microsoft.com/yumrepos/vscode\nenabled=1\ngpgcheck=1\ngpgkey=https://packages.microsoft.com/keys/microsoft.asc" > /etc/yum.repos.d/vscode.repo'
   2.3 sudo dnf check-update
   2.4 sudo dnf install code
3. create a new console project in a new folder
   3.1 mkdir testproject
   3.2 cd testproject
   3.3 dotnet new console
4. open the new folder in Visual Studio Code
   4.1 code .
5. In Visual Studio Code go to Extensions (View > Extensions) and install the C# extension (ms-dotnettools.csharp)
6. Open the source file 'Program.cs'
7. right click the word 'WriteLine' in line 9 an click on Go to Defintion in the context-menu.

Actual results:
The metadata file for the System.Console class WITHOUT documentation comments opens.

Expected results:
The metadata file for the System.Console class WITH documentation comments opens.

Additional info:
See also the attached screenshots.
The content of the documentation comments are also especially shown when hovering over a methodname (like 'WriteLine').
Doing the same on Fedora 31 with the same named package 'dotnet-sdk-3.1' from the Microsoft package source (described here: https://docs.microsoft.com/de-de/dotnet/core/install/linux-package-manager-fedora31) does show the documentation comments and accordingly the hover information.

Comment 1 Omair Majid 2020-05-06 18:32:17 UTC
Thanks for reporting this issue.

From a quick look, it appears that this hover documentation is supposed to be included in the `.xml` files which are supposed to be included with the SDK. These files are missing in our build of the SDK.

On the other hand, we are including `.xml` documentation files for ASP.NET Core. I dont know why these are included but not the other ones.

thegruffalo, can you verify something for me? Do you see any documentation for classes that are part of the Microsoft.AspNetCore namespaces?

Comment 2 thegruffalo 2020-05-06 19:09:08 UTC
Yes.

Indeed, when I create a project with the template 'web' (with Sdk=Microsoft.NET.Sdk.Web in the csproj) I can see documentation for classes that are part of the Microsoft.AspNetCore namespace.

Comment 3 Omair Majid 2020-05-06 19:19:31 UTC
Thanks!

I am fairly certain this is a build system issue in our source-build system. I will dig into this.

Comment 4 thegruffalo 2020-05-06 19:23:53 UTC
Thank you very much!

Comment 5 Omair Majid 2020-06-02 22:22:15 UTC
As I understand it, the upstream fix was https://github.com/dotnet/source-build-reference-packages/pull/113. I have now built this package in Fedora (it's the `dotnet-build-reference-packages` RPM). The next version of .NET Core we build in Fedora should pick up this and include xml docs. I will update this bug as I make more progress.

Comment 6 Fedora Update System 2020-06-11 16:05:42 UTC
FEDORA-2020-a635f90e0e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a635f90e0e

Comment 7 Fedora Update System 2020-06-14 18:02:15 UTC
dotnet3.1-3.1.104-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a635f90e0e

Comment 8 Fedora Update System 2020-06-17 17:57:43 UTC
FEDORA-2020-a635f90e0e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a635f90e0e

Comment 9 Fedora Update System 2020-06-18 13:27:36 UTC
FEDORA-2020-a635f90e0e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.